### Method

# ECal ReminderWatcher snooze

since: 3.30

#### Declaration [src]

    void
    e_reminder_watcher_snooze (
      EReminderWatcher* watcher,
      const EReminderData* rd,
      gint64 until
    )

#### Description [src]

Snoozes `rd` until `until`, which is an absolute time when the `rd` should be retriggered. This moves the `rd` from the list of past reminders into the list of snoozed reminders and invokes the “changed” signal.

The `until` can be a special value 0, to set the time as the event start, if it’s in the future. The function does nothing when the event time is in the past.

Available since: 3.30

#### Parameters

`rd`

  Type: `EReminderData`

  An `EReminderData` identifying the reminder.

  The data is owned by the caller of the method.

`until`

  Type: `gint64`

  Time_t as gint64, when the `rd` should be retriggered.